Package org.eclipse.e4.ui.model.application.commands

## Interface MHandlerContainer

All Known Subinterfaces:
  `MApplication`, `MCompositePart`, `MDialog`, `MInputPart`, `MPart`, `MPartDescriptor`, `MPerspective`, `MTrimmedWindow`, `MWindow`, `MWizardDialog`

    public interface MHandlerContainer

A representation of the model object 'Handler Container'.

This provides a container in which to store lists of Handlers.

Since:
  1.0
Restriction:
  This interface is not intended to be implemented by clients.

  The following features are supported:

  - `Handlers`

### Method Summary

All Methods Instance Methods Abstract Methods
`List<MHandler>` `getHandlers()` Returns the value of the 'Handlers' containment reference list.

### Method Detail

#### getHandlers

    List<MHandler> getHandlers()

Returns the value of the 'Handlers' containment reference list. The list contents are of type `MHandler`.

Developers: Add more detailed documentation by editing this comment in org.eclipse.ui.model.workbench/model/UIElements.ecore. There is a GenModel/documentation node under each type and attribute.

Returns:
  the value of the 'Handlers' containment reference list.